Bug 91910 - [Chromium-Android] Store test executable, data and fonts in /data/local/tmp
Summary: [Chromium-Android] Store test executable, data and fonts in /data/local/tmp
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Android Unspecified
: P2 Normal
Assignee: Xianzhu Wang
URL:
Keywords:
Depends on:
Blocks: 91872
  Show dependency treegraph
 
Reported: 2012-07-20 16:30 PDT by Xianzhu Wang
Modified: 2012-08-06 11:29 PDT (History)
5 users (show)

See Also:


Attachments
Patch (9.85 KB, patch)
2012-08-03 17:50 PDT, Xianzhu Wang
no flags Details | Formatted Diff | Diff
rebased for landing (9.86 KB, patch)
2012-08-06 09:26 PDT, Xianzhu Wang
no flags Details | Formatted Diff | Diff
for landing (10.03 KB, patch)
2012-08-06 09:56 PDT, Xianzhu Wang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xianzhu Wang 2012-07-20 16:30:33 PDT
Similar to bug 91909, but storing the data and fonts in /data/local/tmp need modify both the script and C++ code (Chromium and WebKit).
Comment 1 Xianzhu Wang 2012-08-03 17:50:28 PDT
Created attachment 156491 [details]
Patch
Comment 2 Xianzhu Wang 2012-08-06 09:26:58 PDT
Created attachment 156705 [details]
rebased for landing
Comment 3 Xianzhu Wang 2012-08-06 09:43:32 PDT
Comment on attachment 156705 [details]
rebased for landing

Just found the mode 0666 doesn't work as expected.
Comment 4 Xianzhu Wang 2012-08-06 09:56:11 PDT
Created attachment 156714 [details]
for landing
Comment 5 WebKit Review Bot 2012-08-06 11:29:47 PDT
Comment on attachment 156714 [details]
for landing

Clearing flags on attachment: 156714

Committed r124788: <http://trac.webkit.org/changeset/124788>
Comment 6 WebKit Review Bot 2012-08-06 11:29:52 PDT
All reviewed patches have been landed.  Closing bug.